SDL_SaveBMP_IO(3)

NAME
SDL_SaveBMP_IO - Save a surface to a seekable SDL data stream in BMP format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SaveBMP_IO(SDL_Surface *surface, SDL_IOStream *dst, bool closeio);

DESCRIPTION
Surfaces with a 24-bit, 32-bit and paletted 8-bit format get saved in the BMP directly. Other RGB formats with 8-bit or higher get converted to a 24-bit surface or, if they have an alpha mask or a colorkey, to a 32-bit surface before they are saved. YUV and paletted 1-bit and 4-bit formats are not supported.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure containing the image to be saved.

dst a data stream to save to.

closeio
    if true, calls SDL_CloseIO () on dst before returning, even in the case of an error.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LoadBMP_IO(3), •(3), SDL_SaveBMP(3)